<div>
    <div class="card">
        <div class="card-header">
            <div class="row">
                <div class="col-10">
                    <h3 class="card-title">User Lists</h3>
                </div>
                <div class="col-2 text-end">
                    <button class="btn btn-primary" @click="$dispatch('open-modal')"><i class="fa-solid fa-user-plus"></i> Add User</button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('users.users-table', []);

$__html = app('livewire')->mount($__name, $__params, 'lw-1104497524-0', $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
        </div>
    </div>
    
    <!-- modal dialog -->
    <div class="modal fade" id="userModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Create User</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('register', ['edit' => $editData]);

$__html = app('livewire')->mount($__name, $__params, $editData->id ?? 0, $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
            </div>
            </div>
        </div>
    </div>
</div>

    <?php
        $__scriptKey = '1104497524-0';
        ob_start();
    ?>
<script>
    $wire.on('open-modal', () => {
        $("#userModal").modal('show');
    });
</script>
    <?php
        $__output = ob_get_clean();

        \Livewire\store($this)->push('scripts', $__output, $__scriptKey)
    ?><?php /**PATH C:\laragon\www\marketing_data_analysis\resources\views/livewire/users/user.blade.php ENDPATH**/ ?>